package com.ruoyi.web.work.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import org.apache.logging.log4j.message.Message;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author lishuwen
 * @date 2023-10-29
 */
@Data
@TableName(value = "tb_links")
@Accessors(chain = true)
public class Links {
    private static final long serialVersionUID = 1L;

    private Long id;

    @NotBlank(message = "链接标题不能为空")
    @ApiModelProperty(value = "标题")
    private String title;

    @NotBlank(message = "链接地址不能为空")
    @ApiModelProperty(value = "链接")
    private String url;

    @NotNull(message = "排序不能为空")
    @ApiModelProperty(value = "显示顺序")
    private Long orderNum;

    @NotNull(message = "状态不能为空")
    @ApiModelProperty(value = "状态:0=正常,1=停用")
    private Integer state;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
