package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.constant.CacheConstants;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.web.work.domain.Links;
import com.ruoyi.web.work.mapper.LinksMapper;
import com.ruoyi.web.work.service.ILinksService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lishuwen
 * @date 2023-10-29
 */
@Service
public class LinksServiceImpl extends ServiceImpl<LinksMapper, Links> implements ILinksService {
    @Autowired
    private LinksMapper linksMapper;

    @Autowired
    private RedisCache redisCache;

    @Override
    public List<Links> selectList(Links links) {
        return linksMapper.selectList(links);
    }

    @Override
    public List<Links> indexList() {
        if (redisCache.getCacheObject(CacheConstants.APP_LINKS) == null) {
            List<Links> list = linksMapper.indexList();
            redisCache.setCacheObject(CacheConstants.APP_LINKS, list);
            return list;
        }
        return redisCache.getCacheObject(CacheConstants.APP_LINKS);
    }
}
